KUSANAGI Module Update

KUSANAGI Module Update

KUSANAGI modules have been updated.
The updated modules are as follows:

nginx 1.19.10-1

The module update can be applied with the following command:

# yum update

KUSANAGI Module Update

KUSANAGI Module Update

KUSANAGI modules have been updated.
The updated modules are as follows:

nginx 1.19.9-1

The module update can be applied with the following command:

# yum update

KUSANAGI Module Update

KUSANAGI Module Update

KUSANAGI modules have been updated.
The updated modules are as follows:

openssl 1.1.1k-1

The module update can be applied with the following command:

# yum update

KUSANAGI update 8.5.2-2

KUSANAGI update 8.5.2-2

KUSANAGI update has been released.
DoS attack prevention settings have been changed to be applied only to PHP files.
To make this configuration change take effect in a previously provisioned environment, run the following command.

# kusanagi ratelimit off
# kusanagi ratelimit on

The module update can be applied with the following command:

# yum update

KUSANAGI update 8.5.2-1

KUSANAGI update 8.5.2-1

KUSANAGI update has been released.
Added subcommand ratelimit to enable/disable DoS attack prevention settings.
If you have provisioned with kusanagi 8.5.0 or earlier, you can still use this subcommand to enable DoS prevention.
In kusanagi 8.5.1 or later, the DoS attack prevention is enabled by default at the provisioning.

The module update can be applied with the following command:

# yum update

KUSANAGI update 8.5.1-1

KUSANAGI update 8.5.1-1

KUSANAGI update has been released.
Add a countermeasure for DoS attacks when using NGINX.
This feature requires kusanagi-nginx-1.19.7-1 or later.

The module update can be applied with the following command:

# yum update

To make changes to your existing NGINX configuration, you will need to edit /etc/nginx/nginx.conf.d/*_{http,ssl}.conf.
Under the server_name line, add the following settings.

limit_req zone=one burst=10 nodelay;

KUSANAGI Module Update

KUSANAGI Module Update

KUSANAGI modules have been updated.
The updated modules are as follows:

nginx 1.19.8-1

The module update can be applied with the following command:

# yum update

If you are using nginx, restart nginx with the following command:

# kusanagi nginx

KUSANAGI Module Update

The individual modules that make up KUSANAGI have been updated.
The updated module versions are as follows:

PHP 7.3.14-1

PHP 7.3.14 fixes multiple vulnerabilities.

  • CVE-2020-7059
  • CVE-2020-7060

The module update can be applied with the following command:

# yum update

KUSANAGI Module Update

The individual modules that make up KUSANAGI have been updated.
The updated module versions are as follows:
 

httpd 2.4.41
PHP 7.3.8-3

httpd 2.4.41 fixes multiple vulnerabilities.

  • CVE-2019-10081
  • CVE-2019-9517
  • CVE-2019-10098
  • CVE-2019-10092
  • CVE-2019-10097
  • CVE-2019-10082

The module update can be applied with the following command:

# yum update

KUSANAGI Module Update

The individual modules that make up KUSANAGI have been updated.
The updated module versions are as follows:
 

Nginx 1.17.3
nghttp2 1.39.2
wp-cli 2.3.0
PHP 7.3.8-2

Nginx 1.17.3 fixes multiple vulnerabilities.

  • CVE-2019-9511
  • CVE-2019-9513
  • CVE-2019-9516

nghttp2 1.39.2 fixes multiple vulnerabilities.

  • CVE-2019-9511
  • CVE-2019-9513

The module update can be applied with the following command:

# yum update